### Enumeration

# Ggit DiffBinaryType

#### Declaration

    enum Ggit.DiffBinaryType

#### Description [src]

When producing a binary diff, the binary data returned will be either the deflated full (“literal”) contents of the file, or the deflated binary delta between the two sides (whichever is smaller).

#### Members

`GGIT_DIFF_BINARY_NONE`

  No description available.

  - Value: `0`
  - Available since: 1.0
`GGIT_DIFF_BINARY_LITERAL`

  No description available.

  - Value: `1`
  - Available since: 1.0
`GGIT_DIFF_BINARY_DELTA`

  No description available.

  - Value: `2`
  - Available since: 1.0